X
Thinta lapha ukuze uye kuveshini yamakhalekhukhwini kusayithi.

Isithangami Sabeseki

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Thunderbird updated, now wont open. Error says "Thunderbird.exe is not a valid Win32 application". Cannot run exe now either. Running XP OS

Kuphostiwe

Running XP, SP2. Immediately after updating, Thunderbird would not open. Opened fine before then. Tried downloading previous version to install, would not open the application. Tried other exe, none will now open. Help, please.

Running XP, SP2. Immediately after updating, Thunderbird would not open. Opened fine before then. Tried downloading previous version to install, would not open the application. Tried other exe, none will now open. Help, please.

Okulungisiwe ngu Wayne Mery

Eminye Imininingwane Yohlelo

Isisebenziso

  • I-ejenti Engumsebenzisi: Mozilla/5.0 (Windows NT 5.1; rv:52.0) Gecko/20100101 Firefox/52.0

Eminye Imininingwane

Wayne Mery
  • Top 25 Contributor
  • Moderator
591 izisombululo 5577 izimpendulo
Kuphostiwe

Impendulo Ewusizo

Did you download from website and install from file?

Or was this an update from within Thunderbird?

Did you download from website and install from file? Or was this an update from within Thunderbird?
Wayne Mery
  • Top 25 Contributor
  • Moderator
591 izisombululo 5577 izimpendulo
Kuphostiwe

Impendulo Ewusizo

You are on XP, so you should not have gotten an update. We are in the process of fixing it.

You are on XP, so you should not have gotten an update. We are in the process of fixing it.
James
  • Top 25 Contributor
  • Moderator
1598 izisombululo 11286 izimpendulo
Kuphostiwe
https://www.thunderbird.net/thunderbird/60.0/system-requirements/ https://www.thunderbird.net/thunderbird/60.3.0/releasenotes/ As above pages show, Thunderbird 60 and later requires Windows 7 or later. The last you can run on the old EOL WinXP is 52.9.1 https://archive.mozilla.org/pub/thunderbird/releases/52.9.1/win32/ https://www.thunderbird.net/thunderbird/52.9.1/system-requirements/ https://www.thunderbird.net/en-US/thunderbird/releases/

Umnikazi wombuzo

Wayne, it was an automatic update.

James, how can I get back to an earlier version? I tried to load an earlier version, but I cannot get the exe to open.

Thanks to both of you for a speedy reply.

Wayne, it was an automatic update. James, how can I get back to an earlier version? I tried to load an earlier version, but I cannot get the exe to open. Thanks to both of you for a speedy reply.
James
  • Top 25 Contributor
  • Moderator
1598 izisombululo 11286 izimpendulo
Kuphostiwe

You cannot run the 32-bit Tb 52.9.1 setup .exe I linked to ?

You cannot run the 32-bit Tb 52.9.1 setup .exe I linked to ?
Wayne Mery
  • Top 25 Contributor
  • Moderator
591 izisombululo 5577 izimpendulo
Kuphostiwe

iirc it won't install because of what I wrote at https://support.mozilla.org/en-US/questions/1239587#answer-1170393

let https://www.thunderbird.net/ serve you want it wants. Then let it update.

iirc it won't install because of what I wrote at https://support.mozilla.org/en-US/questions/1239587#answer-1170393 let https://www.thunderbird.net/ serve you want it wants. Then let it update.

Umnikazi wombuzo

Okay. I couldn't get any exe to run, so I tried a safe mode install...nothing.

Next step...I did a recover to last month. Worked like a charm.

Then...I also unchecked let Thunderbird update automatically.

I now have email.

Thank you for your help, guys!

Okay. I couldn't get any exe to run, so I tried a safe mode install...nothing. Next step...I did a recover to last month. Worked like a charm. Then...I also unchecked let Thunderbird update automatically. I now have email. Thank you for your help, guys!
James
  • Top 25 Contributor
  • Moderator
1598 izisombululo 11286 izimpendulo
Kuphostiwe

Wayne Mery said

iirc it won't install because of what I wrote at https://support.mozilla.org/en-US/questions/1239587#answer-1170393 let https://www.thunderbird.net/ serve you want it wants. Then let it update.

Why would it be any different from Firefox 52 ESR on WinXP as Windows XP users can install 52.9.0esr just fine.

Only issue Windows users may encounter is if their CPU not supporting SSE2 as Firefox 49.0 and later dropped old CPU's that did not support SSE2 so Thunderbird should be much the same.

''Wayne Mery [[#answer-1170399|said]]'' <blockquote> iirc it won't install because of what I wrote at https://support.mozilla.org/en-US/questions/1239587#answer-1170393 let https://www.thunderbird.net/ serve you want it wants. Then let it update. </blockquote> Why would it be any different from Firefox 52 ESR on WinXP as Windows XP users can install 52.9.0esr just fine. Only issue Windows users may encounter is if their CPU not supporting SSE2 as Firefox 49.0 and later dropped old CPU's that did not support SSE2 so Thunderbird should be much the same.
TheFANforPE 0 izisombululo 4 izimpendulo
Kuphostiwe

I am in the same situation and am getting nowhere. If it appears the Automatic updates does not check for System requirements.

I have attempted to poke around certain files and it appears the Automatic Update from 59 to 60.3 last night has wiped everything out for Thunderbird.

If there are any suggestions this novice would be greatly appreciated as it appears all e-mail has been deleted and lost and the "no longer a valid Win32 program" error message does not help.

I am in the same situation and am getting nowhere. If it appears the Automatic updates does not check for System requirements. I have attempted to poke around certain files and it appears the Automatic Update from 59 to 60.3 last night has wiped everything out for Thunderbird. If there are any suggestions this novice would be greatly appreciated as it appears all e-mail has been deleted and lost and the "no longer a valid Win32 program" error message does not help.

Umnikazi wombuzo

Try what I did - do a recover to an earlier time period.

If you are running XP, it would be "Start>Accessories>System Tools>Restore".

Best to you - hope it works.

Try what I did - do a recover to an earlier time period. If you are running XP, it would be "Start>Accessories>System Tools>Restore". Best to you - hope it works.
TheFANforPE 0 izisombululo 4 izimpendulo
Kuphostiwe

It doesn't work. It appears I have lost everything. Very annoying and upset to lose so much data because an Automatic Update did not check for System Requirements to verify if the update should have been applied, or not.

10+ years worth of information....GONE.

It doesn't work. It appears I have lost everything. Very annoying and upset to lose so much data because an Automatic Update did not check for System Requirements to verify if the update should have been applied, or not. 10+ years worth of information....GONE.

Okulungisiwe ngu TheFANforPE

James
  • Top 25 Contributor
  • Moderator
1598 izisombululo 11286 izimpendulo
Kuphostiwe

Thunderbird 52.9.0 setup requires WinXP SP3 to install while the Firefox 52.9.0esr setup only requires WinXP SP2 at minimum.

https://www.thunderbird.net/thunderbird/52.9.0/system-requirements/ https://www.mozilla.org/firefox/52.9.0/system-requirements/

Thunderbird 52.9.0 setup requires WinXP SP'''3''' to install while the Firefox 52.9.0esr setup only requires WinXP SP'''2''' at minimum. https://www.thunderbird.net/thunderbird/52.9.0/system-requirements/ https://www.mozilla.org/firefox/52.9.0/system-requirements/
TheFANforPE 0 izisombululo 4 izimpendulo
Kuphostiwe

I am looking to recover e-mails and am uncomfortable and not understanding if I "install" something I already have, albeit, overwriting the current wrong version 60.3, if anything that (I cannot find/see) may not be/no longer recoverable will be overwritten and deleted.

I am looking to recover e-mails and am uncomfortable and not understanding if I "install" something I already have, albeit, overwriting the current wrong version 60.3, if anything that (I cannot find/see) may not be/no longer recoverable will be overwritten and deleted.

Umnikazi wombuzo

I did the recover and did not lose any current emails. It went back to an earlier version (that I know worked).

I did the recover and did not lose any current emails. It went back to an earlier version (that I know worked).
TheFANforPE 0 izisombululo 4 izimpendulo
Kuphostiwe

I am dead in the water. **sigh**

I am dead in the water. **sigh**
Race_Guy 0 izisombululo 2 izimpendulo
Kuphostiwe

Hey Wayne!

Howz come you cant just post the correct XP, "thunderbird.exe"..., we D/L..., overwrite & done deal???

I've tried Sys Restore, to 2 recent "System Checkpoints" & it won't take! I haven't set a manual Restore Point in YEARS!!

Thanks!!

Hey Wayne! Howz come you cant just post the correct XP, "thunderbird.exe"..., we D/L..., overwrite & done deal??? I've tried Sys Restore, to 2 recent "System Checkpoints" & it won't take! I haven't set a manual Restore Point in YEARS!! Thanks!!
Wayne Mery
  • Top 25 Contributor
  • Moderator
591 izisombululo 5577 izimpendulo
Kuphostiwe

Race_Guy said

Hey Wayne! Howz come you cant just post the correct XP, "thunderbird.exe"..., we D/L..., overwrite & done deal???

Sorry, but this is the way Firefox does it and they have deemed it to be the best approach that covers all contingencies and shouldn't leave any XP users stranded. So it may not be ideal for you, and I don't have an answer that will satisfy you. (Besides, to be up front, XP is EOL so we aren't going to invest time in making changes for users of XP.)

''Race_Guy [[#answer-1171316|said]]'' <blockquote> Hey Wayne! Howz come you cant just post the correct XP, "thunderbird.exe"..., we D/L..., overwrite & done deal??? </blockquote> Sorry, but this is the way Firefox does it and they have deemed it to be the best approach that covers all contingencies and shouldn't leave any XP users stranded. So it may not be ideal for you, and I don't have an answer that will satisfy you. (Besides, to be up front, [[Thunderbird end of Support for XP and Vista|XP is EOL]] so we aren't going to invest time in making changes for users of XP.)

Okulungisiwe ngu Wayne Mery

Wayne Mery
  • Top 25 Contributor
  • Moderator
591 izisombululo 5577 izimpendulo
Kuphostiwe

https://support.mozilla.org/en-US/kb/get-latest-version-thunderbird-windows-xp-vista is the definitive source for directions. If something there isn't working, please let us know so we can improve the doc or offer advice

https://support.mozilla.org/en-US/kb/get-latest-version-thunderbird-windows-xp-vista is the '''definitive '''source for directions. If something there isn't working, please let us know so we can improve the doc or offer advice
Race_Guy 0 izisombululo 2 izimpendulo
Kuphostiwe

Hey Wayne! Do you know off hand the path to & the name of "the emails" file???

I'd like to at least back that up before any "re-install" is attempted!!

Keep in mind..., this is Mozilla's SNAFU..., NOT the poor EOL XP users that got the short end here!!!

See ya!

Hey Wayne! Do you know off hand the path to & the name of "the emails" file??? I'd like to at least back that up before any "re-install" is attempted!! Keep in mind..., this is Mozilla's SNAFU..., NOT the poor EOL XP users that got the short end here!!! See ya!
Wayne Mery
  • Top 25 Contributor
  • Moderator
591 izisombululo 5577 izimpendulo
Kuphostiwe

Yes, I understand all too well the mistake, because I was one of the volunteers involved. (Note: we are NOT Mozilla - haven't been for years)

And yes, backing up your data should be normal routine not just for updates. Suggested links in http://lmgtfy.com/?q=backup+thunderbird+profile+data

Yes, I understand all too well the mistake, because I was one of the volunteers involved. (Note: we are NOT Mozilla - haven't been for years) And yes, backing up your data should be normal routine not just for updates. Suggested links in http://lmgtfy.com/?q=backup+thunderbird+profile+data